# AccountOnFile class

Represents an AccountOnFile object.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

AccountOnFile(String id, String paymentProductId, {AccountOnFileDisplayHints? displayHints, List<AccountOnFileAttribute> attributes = const []})
AccountOnFile.fromJson(Map<String, dynamic> json)
  factory

## Properties

attributes → List<AccountOnFileAttribute>
  final
displayHints → AccountOnFileDisplayHints?
  final
hashCode → int
  The hash code for this object.
  read-only inherited
id → String
  final
paymentProductId → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

getLabel() → String
  Returns the label which can be displayed on an AccountOnFile selection screen.
getMaskedValue(String fieldId) → Future<String>
  Returns the masked value for the given payment product `fieldId`.
getMaskedValueWithCustomMask(String fieldId, String mask) → Future<String>
  Returns the value for the given payment product `fieldId` with a custom `mask` applied.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited